Microsoft.Build.Engine 2.0.0.0 System.Object

An Item element in a project can represent multiple items through the use of wildcards. Therefore, each object does not necessarily represent an Item element in the project.

Represents a single item in an vstecmsbuild project.

- Constructor
  To be added.

  Initializes a new instance of the class based on an object.

  The property of the .
  The from which to create the property of the .
  2.0.0.0
- Constructor
  To be added.

  Initializes a new instance of the class with the specified and property values.

  The property of the .
  The property of the .
  2.0.0.0
- Method
  Microsoft.Build.BuildEngine.BuildItem To be added.

  Creates a shallow copy of the .

  A copy of the .

  2.0.0.0
- Property
  System.String To be added. To be added.

  Gets or sets the Condition attribute value of the item.

  2.0.0.0
- Method
  System.Void `` To be added.

  Copies all item metadata on this to the specified .

  The to which to copy the item metadata. 2.0.0.0
- Property
  System.String To be added. To be added.

  Gets or sets the Exclude attribute value of the item.

  2.0.0.0
- Property
  System.String To be added. To be added.

  Gets the final specification of the item after all wildcards and properties have been evaluated.

  2.0.0.0
- Method
  System.String `` To be added.

  Returns the value of the specified item metadata after after all item and property references have been evaluated.

  The value of the specified item metadata after after all item and property references have been evaluated.

  The item metadata name. 2.0.0.0
- Method
  System.String `` To be added.

  Returns the value of the specified item metadata.

  The value of the specified item metadata.

  The item metadata name. 2.0.0.0
- Method
  System.Boolean `` To be added.

  Indicates whether the item has the specified item metadata.

  true if the item has the specified item metadata; otherwise, false.

  The item metadata name. 2.0.0.0
- Property
  System.String To be added. To be added.

  Gets or sets the Include attribute that created the .

  2.0.0.0
- Property
  System.Boolean To be added. To be added.

  Gets a value indicating whether the item was imported into the project.

  2.0.0.0
- Property
  System.String To be added. To be added.

  Gets or sets the name of the item collection to which the item belongs.

  2.0.0.0
- Method
  System.Void `` To be added.

  Removes the specified item metadata.

  The item metadata name. 2.0.0.0
- Method
  System.Void `` `` To be added.

  Assigns the specified value to the specified item metadata.

  The item metadata name. The item metadata value. 2.0.0.0
- Method
  System.Void `` `` `` To be added.

  Assigns the specified value to the specified item metadata, and optionally treats the metadata as a literal value.

  The item metadata name. The item metadata value. true to treat the metadata as a literal value by escaping all vstecmsbuild special characters; otherwise, false. 2.0.0.0